puredata (0.56.1+ds-1) unstable; urgency=medium

  * New upstream version 0.56.1+ds
    + Refresh pd2puredata patch
    + Drop patch applied upstream
    + Refresh visibility patch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 23:41:52 +0200

puredata (0.56.0+ds-2) unstable; urgency=medium

  * Backport removal of exporting undefined functions (Closes: #1111508)
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Aug 2025 21:40:14 +0200

puredata (0.56.0+ds-1) unstable; urgency=medium

  * New upstream version 0.56.0+ds
    + Refresh pd2puredata patch
    + Drop obsolete patches
    + Refresh patches
  * Update symbols
    + Add new names
    + Replace "+ds-1~" suffix with "~"
  * Add patch to ensure that scalar_doclick() is not visible
  * Update copyright information
    + Exclude .dll files from source package
    + Bump copyright years
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Aug 2025 19:56:56 +0200

puredata (0.55.2+ds-2) unstable; urgency=medium

  * Backport patch with alternate names for some functions
    + Update libpd0.symbols for alternate names
  * Backport patch for gcc-15 compat (Closes: #1097665)
  * Refresh patches with 'gbp pq'
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Apr 2025 11:51:27 +0200

puredata (0.55.2+ds-1) unstable; urgency=medium

  * New upstream version 0.55.2+ds
    + Refresh pd2puredata patch
    + Drop patch applied upstream
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Nov 2024 17:07:58 +0100

puredata (0.55.1+ds-2) unstable; urgency=medium

  * Backport fix for crasher-bug in [fexpr~]
  * Mark debian/provicy.patch as not-for-upstream
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 14 Sep 2024 22:44:30 +0200

puredata (0.55.1+ds-1) unstable; urgency=medium

  * New upstream version 0.55.1+ds
    + Drop patches applied upstream
    + Refresh patches
    + Update patches
  * Update pd2puredata.patch updater
  * Update changed upstream path to "about Pd"
  * Update lintian-overrides (upstream filename change)
  * libpd: Update symbols-file
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Sep 2024 23:00:57 +0200

puredata (0.55.0+ds-1) unstable; urgency=medium

  * New upstream version 0.55.0+ds
    + Drop patches applied upstream
    + Refresh patches
  * Add patch to restore old "pd quit" behaviour with exitcodes
  * Add patch to properly export symbols
  * Do not install d_osc.h
  * Relax dependency of puredata-gui-l10n to an unversioned puredata-gui
  * Update libpd0 symbols
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 11 Jun 2024 22:25:35 +0200

puredata (0.54.1+ds-5) unstable; urgency=medium

  * Team upload
  * debian/control: Make libpd-dev binNMU-safe

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 May 2024 21:55:18 +0200

puredata (0.54.1+ds-4) unstable; urgency=medium

  * Update patches
    + Backport patch to fix out-of-bound memory access
    + Backport patch to unqueue iemgui's on free
    + Backport patch to fix deken CPU-specifier on arm64
    + Sort debian/upstream patches into subdirectories
    + Apply debian-specific patches after other patches
    + Add 'Applied-Upstream' field to patches
    + Refresh patches with 'gbp pq'
  * Update d/*.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2024 22:24:38 +0100

puredata (0.54.1+ds-3) unstable; urgency=medium

  * Fix filename for maintainer script (Closes: #1057685)
  * Only update alternatives in certain stages of postinst script
    (configure|abort-upgrade|abort-deconfigure|abort-remove)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Dec 2023 19:30:40 +0100

puredata (0.54.1+ds-2) unstable; urgency=medium

  * Use wildcards for lintian-overrides with per-arch filenames
  * Add "Forwarded: not-needed" to Debian-specific patches
  * Add patch to explicitly export required symbols
  * Add initial libpd0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 21:48:10 +0100

puredata (0.54.1+ds-1) unstable; urgency=medium

  * New upstream version 0.54.1+ds
    (Closes: #1050695)
    + Refresh pd2puredata patch
    + Drop patches applied upstream
    + Refresh patches
  * Restore po/ directory after build (Closes: #1047924)
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 31 Oct 2023 15:19:20 +0100

puredata (0.54.0+ds-4) unstable; urgency=medium

  * Have puredata64-core provide the "pd64" virtual package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jul 2023 12:54:36 +0200

puredata (0.54.0+ds-3) unstable; urgency=medium

  * Properly calculate the deken CPU for loading Pd64 externals
    (Closes: #1040517)
    + Install a re-usable helper-tool to determine the correct CPU value in
      external-extensions in the puredata-dev package
  * Add some Pd64 autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 10 Jul 2023 15:52:13 +0200

puredata (0.54.0+ds-2) unstable; urgency=medium

  * Explicitly set external-extension and deken-cpu for Pd64
  * Run autopkgtest verbosely

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 21:11:42 +0200

puredata (0.54.0+ds-1) unstable; urgency=medium

  * First upload of both single-precision and double-precision Pd
    to unstable!

  * Add patch to fix crash with multichannel [adc~]

  * puredata-common
    + Improve description of puredata-common
    + Relax hard dependency on puredata-common to a simple Recommends
    + Properly declare Breaks/Relation dependency for moving files from
      puredata-core to puredata-common
    + Mark as "Multi-Arch: foreign"
  * libpd0/libpd-dev
    + Add patch to fix missing symbol in libpd
    + Install libpd example
    + Add autopkgtest for libpd
  * puredata-utils
    + Mark as "Multi-Arch: foreign"
  * Add/update lintian-overrides to package split and puredata64
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 12:50:00 +0200

puredata (0.54.0+ds-1~exp1) experimental; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.54.0+ds
    + Refresh pd2puredata patch
    + Refresh more patches
    + Drop patches applied upstream
  * Build two flavours of Pd
    - single precision (puredata)
    - double precision (puredata64)
  * Build libpd0 and libpd-dev
  * Update copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Jul 2023 23:08:18 +0200

puredata (0.53.1+ds-2+exp1) experimental; urgency=medium

  * Upload multiple flavours to experimental

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 29 Jan 2023 00:11:25 +0100

puredata (0.53.1+ds-2~exp1) experimental; urgency=medium

  * Upload multiple flavours to experimental

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 28 Jan 2023 22:06:11 +0100

puredata (0.53.1+ds-2) unstable; urgency=medium

  * Backport upstream ALSA-MIDI fix
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 28 Jan 2023 22:00:40 +0100

puredata (0.53.1+ds-1+exp1) experimental; urgency=medium

  * Upload multiple flavours to experimental
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Dec 2022 09:53:43 +0100

puredata (0.53.1+ds-1) unstable; urgency=medium

  * New upstream version 0.53.1+ds

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove patches applied upstream.
  * Refresh patches
  * Drop number from repacksuffix
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Update lintian-overrides

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Dec 2022 08:56:13 +0100

puredata (0.53.0+ds0-1) unstable; urgency=medium

  * New upstream version 0.53.0+ds0
    + Refresh pd2puredata patch
    + Refresh patches
  * Ship upstream's metainfo, desktop and icon files
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Oct 2022 22:09:42 +0200

puredata (0.52.2+ds0-2+exp1) experimental; urgency=medium

  * Upload multiple-flavours to experimental
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Sep 2022 15:02:27 +0200

puredata (0.52.2+ds0-2) unstable; urgency=medium

  * Include AppStream metainfo with puredata-gui
  * Drop CRLF newlines in d/*.sharedmimeinfo
  * Add more autopkgtests (puredata-extra, pd-zexy)
  * Add lintian-override to suppress false-positives when detecting missing-sources
  * Declare that there's no need to forward Debian-specific patches
  * Modernized lintian-overrides
  * Use dpkg-mergechangelogs for resolving git merge-conflicts in d/changelog
  * Bump d/copyright dates
  * Apply "wrap-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Sep 2022 13:45:44 +0200

puredata (0.52.2+ds0-1) unstable; urgency=medium

  * New upstream version 0.52.2+ds0
    - Refresh pd2puredata patch
    - Drop patches applied upstream
    - Refresh remaining patches
  * d/watch
    - Automatically use '+ds' as repackaging suffix
  * d/copyright
    - Update d/copyright
    - Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 28 Mar 2022 09:18:53 +0200

puredata (0.52.1+ds0-2~exp1) experimental; urgency=medium

  * Build (and package) multiple flavours of Pd
    - single precision application
    - double precision application (puredata64)
    - single precision library (libpd)
  * Add patch to limit visibility of libpd symbols

  * d/rules:
    - Make build more verbose

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Feb 2022 11:37:42 +0100

puredata (0.52.1+ds0-1) unstable; urgency=medium

  * Exclude pre-built binaries for macOS and MSW
    - Update d/watch to add ~ds suffix
  * Backported upstream patches
    - Fix mutex resource-leak
    - Fix broken "-nosleep" option
    - Fix GUI lockups
    - Only show docsdir plugin if Pd is started via the GUI
    - Adjust to JACK samplerate changes
    - Make sure text cursor is displayed when editing
    - Fix crasher bug in [list store]
    - Fix crasher bug in [file join]
  * Refresh existing patches
  * Make d/update_pd2puredataPatch more robust
  * Build higher-resolution icon
  * Don't build pd-gui-plugin.1
  * Make passing of Debian-specific timestamps more robust
  * Use execute_before_dh_* rather than override_* when possible
  * Simplify configure-flag handling
  * Separate Build-Depends-Indep
  * Drop no-longer required maintainer scripts

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Feb 2022 11:13:41 +0100

puredata (0.52.1-1) unstable; urgency=medium

  * New upstream version 0.52.1

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Refresh remaining patches
  * B-D on python3:any to allow crosscompilation
  * Drop overrides for dh_strip/dh_shlibdeps
  * Update lintian-overrides for puredata-extra
  * Update d/watch
    - Bump version
    - Watch upstream repository (rather than upstream homepage)
    - Strip away "-really" suffix
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 20 Dec 2021 16:18:57 +0100

puredata (0.51.4-1) unstable; urgency=medium

  * New upstream version 0.51.4
    * Refresh pd2puredata patch
    * Refresh patches (with 'gbp pq')
  * Backport patches from upstream's develop branch
  * Demote dependency on "gem" to "Suggests"
  * Fix d/watch to filter on proper versions
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 29 Dec 2020 21:18:32 +0100

puredata (0.51.3-1) unstable; urgency=medium

  * New upstream version 0.51.3
    * Refresh patches
    * Remove patches applied upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Nov 2020 21:23:32 +0100

puredata (0.51.2-1) unstable; urgency=medium

  * New upstream version 0.51.2
    * Refresh pd2puredata patch
    * Refresh patches with "gbp pq"
  * Backport bugfixes from Pd-repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 18 Sep 2020 18:14:42 +0200

puredata (0.51.1-1) unstable; urgency=medium

  * New upstream version 0.51.1
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 16 Aug 2020 22:15:26 +0200

puredata (0.51.0-1) unstable; urgency=medium

  * New upstream version 0.51.0

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 0.32p1-1, 0.28-3.
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Fix day-of-week for changelog entries 0.32p1-2, 0.32p1-1, 0.28-2.

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Update d/changelog
    * Run licensecheck wit UTF-8 support
    * Regenerate d/copyright_hints
  * Remove duplicate doc-files from /usr/share
  * Don't install Makefile.am
  * Enable per-user GUI-plugins in ~/.local/lib/pd/extra
    (rather than ~/pd-externals)
  * Bump dh-compat to 13

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Jun 2020 21:25:32 +0200

puredata (0.50.2-3) unstable; urgency=medium

  * Symlink to doc/8.topics (Closes: #950838)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 23:30:39 +0100

puredata (0.50.2-2) unstable; urgency=medium

  * Install docs/8.topics (Closes: #950838)
  * Patch to avoid privacy breach in HTML documentation
    * Have puredata-doc recommend the "node-html5shiv" package
  * Use "DEB_*FLAGS_APPEND" for appending additional flags
  * Don't quote placeholder in mailcap entries
  * Remove obsolete d/TODO.Debian
  * Don't mark the autopkgtest as "superficial"
  * Add salsa-ci configuration
    * Ignore '-D_FORTIFY_SOURCE=2' in blhc ci-tests
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Feb 2020 15:52:39 +0100

puredata (0.50.2-1) unstable; urgency=medium

  * New upstream version 0.50.2
    * Refreshed pd2puredata patch
  * Mark smoke-test as 'superficial'
  * Bump dh compat to 12
  * Bump standards version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Oct 2019 13:51:36 +0200

puredata (0.50.0-1) unstable; urgency=medium

  * New upstream version 0.50.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refreshed pd2puredata patch
  * Drop patches applied upstream.
  * Register doc-base files in /usr/share/doc/
  * Drop obsolete d/source/local-options
  * Refresh d/copyright_hints
  * Bump dates in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Aug 2019 11:30:39 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog puredata-common`.
